Index: trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java
===================================================================
--- trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 11)
+++ trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 12)
@@ -5473,7 +5498,7 @@
             	    break;
 
             	default :
-            	    break loop81;
+            	    break loop82;
                 }
             } while (true);
 
@@ -5496,7 +5521,7 @@
 
 
     // $ANTLR start "setComprehension"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:775:1: setComprehension[SetConstructor _set] : T_BAR T_VAR id1= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )* ( '&' epx= expression )? ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:779:1: setComprehension[SetConstructor _set] : T_BAR T_VAR id1= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )* ( '&' epx= expression )? ;
     public final void setComprehension(SetConstructor _set) throws RecognitionException {
         Token id1=null;
         Token id2=null;
@@ -5511,8 +5536,8 @@
         		_set.SetHasComprehension(true);
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:779:2: ( T_BAR T_VAR id1= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )* ( '&' epx= expression )? )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:779:4: T_BAR T_VAR id1= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )* ( '&' epx= expression )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:783:2: ( T_BAR T_VAR id1= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )* ( '&' epx= expression )? )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:783:4: T_BAR T_VAR id1= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )* ( '&' epx= expression )?
             {
             match(input,T_BAR,FOLLOW_T_BAR_in_setComprehension3761);
 
@@ -5530,20 +5555,20 @@
 
              addSetComprVar(_set, id1, t1);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:781:3: ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )*
-            loop82:
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:785:3: ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )*
+            loop83:
             do {
-                int alt82=2;
-                final int LA82_0 = input.LA(1);
+                int alt83=2;
+                final int LA83_0 = input.LA(1);
 
-                if ( (LA82_0==T_SEMICOLON) ) {
-                    alt82=1;
+                if ( (LA83_0==T_SEMICOLON) ) {
+                    alt83=1;
                 }
 
 
-                switch (alt82) {
+                switch (alt83) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:781:4: T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:785:4: T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType
             	    {
             	    match(input,T_SEMICOLON,FOLLOW_T_SEMICOLON_in_setComprehension3784);
 
@@ -5563,21 +5588,21 @@
             	    break;
 
             	default :
-            	    break loop82;
+            	    break loop83;
                 }
             } while (true);
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:783:3: ( '&' epx= expression )?
-            int alt83=2;
-            final int LA83_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:787:3: ( '&' epx= expression )?
+            int alt84=2;
+            final int LA84_0 = input.LA(1);
 
-            if ( (LA83_0==116) ) {
-                alt83=1;
+            if ( (LA84_0==116) ) {
+                alt84=1;
             }
-            switch (alt83) {
+            switch (alt84) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:783:4: '&' epx= expression
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:787:4: '&' epx= expression
                     {
                     match(input,116,FOLLOW_116_in_setComprehension3808);
 
@@ -5613,7 +5638,7 @@
 
 
     // $ANTLR start "identifierExpression"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:788:1: identifierExpression returns [Expression result] : ({...}?aName= T_IDENTIFIER T_LPAREN m_params= methodCallParams T_RPAREN |res= reference );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:792:1: identifierExpression returns [Expression result] : ({...}?aName= T_IDENTIFIER T_LPAREN m_params= methodCallParams T_RPAREN |res= reference );
     public final Expression identifierExpression() throws RecognitionException {
         Expression result = null;
 
@@ -5625,12 +5650,12 @@
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:790:2: ({...}?aName= T_IDENTIFIER T_LPAREN m_params= methodCallParams T_RPAREN |res= reference )
-            int alt84=2;
-            alt84 = dfa84.predict(input);
-            switch (alt84) {
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:794:2: ({...}?aName= T_IDENTIFIER T_LPAREN m_params= methodCallParams T_RPAREN |res= reference )
+            int alt85=2;
+            alt85 = dfa85.predict(input);
+            switch (alt85) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:791:3: {...}?aName= T_IDENTIFIER T_LPAREN m_params= methodCallParams T_RPAREN
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:795:3: {...}?aName= T_IDENTIFIER T_LPAREN m_params= methodCallParams T_RPAREN
                     {
                     if ( !((isTuple(input.LT(1).getText()))) ) {
                         throw new FailedPredicateException(input, "identifierExpression", "isTuple(input.LT(1).getText())");
@@ -5653,7 +5678,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:795:3: res= reference
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:799:3: res= reference
                     {
                     pushFollow(FOLLOW_reference_in_identifierExpression3873);
                     res=reference();
@@ -5683,7 +5708,7 @@
 
 
     // $ANTLR start "reference"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:800:1: reference returns [Expression result] :{...}?aName= qualifiedIdentifier (output= accessExpression[result] |) (pr= T_PRIMED | ( '::' T_LPAREN init= expression T_RPAREN )? afold= ( T_FOLDLR | T_FOLDRL ) T_LPAREN anexpr= expression T_RPAREN )? ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:804:1: reference returns [Expression result] :{...}?aName= qualifiedIdentifier (output= accessExpression[result] |) (pr= T_PRIMED | ( '::' T_LPAREN init= expression T_RPAREN )? afold= ( T_FOLDLR | T_FOLDRL ) T_LPAREN anexpr= expression T_RPAREN )? ;
     public final Expression reference() throws RecognitionException {
         Expression result = null;
 
@@ -5704,8 +5729,8 @@
         		init = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:806:2: ({...}?aName= qualifiedIdentifier (output= accessExpression[result] |) (pr= T_PRIMED | ( '::' T_LPAREN init= expression T_RPAREN )? afold= ( T_FOLDLR | T_FOLDRL ) T_LPAREN anexpr= expression T_RPAREN )? )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:806:4: {...}?aName= qualifiedIdentifier (output= accessExpression[result] |) (pr= T_PRIMED | ( '::' T_LPAREN init= expression T_RPAREN )? afold= ( T_FOLDLR | T_FOLDRL ) T_LPAREN anexpr= expression T_RPAREN )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:810:2: ({...}?aName= qualifiedIdentifier (output= accessExpression[result] |) (pr= T_PRIMED | ( '::' T_LPAREN init= expression T_RPAREN )? afold= ( T_FOLDLR | T_FOLDRL ) T_LPAREN anexpr= expression T_RPAREN )? )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:810:4: {...}?aName= qualifiedIdentifier (output= accessExpression[result] |) (pr= T_PRIMED | ( '::' T_LPAREN init= expression T_RPAREN )? afold= ( T_FOLDLR | T_FOLDRL ) T_LPAREN anexpr= expression T_RPAREN )?
             {
             if ( !((!isTuple(input.LT(1).getText()))) ) {
                 throw new FailedPredicateException(input, "reference", "!isTuple(input.LT(1).getText())");
@@ -5719,26 +5744,26 @@
 
             result = aName;
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:808:3: (output= accessExpression[result] |)
-            int alt85=2;
-            final int LA85_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:812:3: (output= accessExpression[result] |)
+            int alt86=2;
+            final int LA86_0 = input.LA(1);
 
-            if ( ((LA85_0 >= T_LPAREN && LA85_0 <= T_LSQPAREN)) ) {
-                alt85=1;
+            if ( ((LA86_0 >= T_LPAREN && LA86_0 <= T_LSQPAREN)) ) {
+                alt86=1;
             }
-            else if ( ((LA85_0 >= T_ACTIONS && LA85_0 <= T_ASSIGNMENT)||(LA85_0 >= T_BAR && LA85_0 <= T_BIIMPLIES)||LA85_0==T_CBRR||(LA85_0 >= T_COLON && LA85_0 <= T_COMMA)||LA85_0==T_CONC||LA85_0==T_DIFF||(LA85_0 >= T_DIV && LA85_0 <= T_DO)||(LA85_0 >= T_DOMRESBY && LA85_0 <= T_DOMRESTO)||(LA85_0 >= T_ELSE && LA85_0 <= T_EQUAL)||(LA85_0 >= T_FOLDLR && LA85_0 <= T_FOLDRL)||(LA85_0 >= T_GREATER && LA85_0 <= T_GREATEREQUAL)||LA85_0==T_IDIV||(LA85_0 >= T_IMPLIES && LA85_0 <= T_IN)||LA85_0==T_INTER||(LA85_0 >= T_LESS && LA85_0 <= T_LESSEQUAL)||LA85_0==T_MAPS||(LA85_0 >= T_METHODS && LA85_0 <= T_MUNION)||(LA85_0 >= T_NONDET && LA85_0 <= T_NOTEQUAL)||LA85_0==T_OR||(LA85_0 >= T_POW && LA85_0 <= T_PROD)||(LA85_0 >= T_RNGRESBY && LA85_0 <= T_RSQPAREN)||(LA85_0 >= T_SEMICOLON && LA85_0 <= T_SEQMOD_MAPOVERRIDE)||(LA85_0 >= T_SUBSET && LA85_0 <= T_SUM)||LA85_0==T_THEN||(LA85_0 >= T_TYPES && LA85_0 <= T_UNION)||LA85_0==T_WITH||(LA85_0 >= 117 && LA85_0 <= 119)) ) {
-                alt85=2;
+            else if ( ((LA86_0 >= T_ACTIONS && LA86_0 <= T_ASSIGNMENT)||(LA86_0 >= T_BAR && LA86_0 <= T_BIIMPLIES)||LA86_0==T_CBRR||(LA86_0 >= T_COLON && LA86_0 <= T_COMMA)||LA86_0==T_CONC||LA86_0==T_DIFF||(LA86_0 >= T_DIV && LA86_0 <= T_DO)||(LA86_0 >= T_DOMRESBY && LA86_0 <= T_DOMRESTO)||(LA86_0 >= T_ELSE && LA86_0 <= T_EQUAL)||(LA86_0 >= T_FOLDLR && LA86_0 <= T_FOLDRL)||(LA86_0 >= T_GREATER && LA86_0 <= T_GREATEREQUAL)||LA86_0==T_IDIV||(LA86_0 >= T_IMPLIES && LA86_0 <= T_IN)||LA86_0==T_INTER||(LA86_0 >= T_LESS && LA86_0 <= T_LESSEQUAL)||LA86_0==T_MAPS||(LA86_0 >= T_METHODS && LA86_0 <= T_MUNION)||(LA86_0 >= T_NONDET && LA86_0 <= T_NOTEQUAL)||LA86_0==T_OR||(LA86_0 >= T_POW && LA86_0 <= T_PROD)||(LA86_0 >= T_RNGRESBY && LA86_0 <= T_RSQPAREN)||(LA86_0 >= T_SEMICOLON && LA86_0 <= T_SEQMOD_MAPOVERRIDE)||(LA86_0 >= T_SUBSET && LA86_0 <= T_SUM)||LA86_0==T_THEN||(LA86_0 >= T_TYPES && LA86_0 <= T_UNION)||LA86_0==T_WITH||(LA86_0 >= 117 && LA86_0 <= 119)) ) {
+                alt86=2;
             }
             else {
                 final NoViableAltException nvae =
-                    new NoViableAltException("", 85, 0, input);
+                    new NoViableAltException("", 86, 0, input);
 
                 throw nvae;
 
             }
-            switch (alt85) {
+            switch (alt86) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:808:5: output= accessExpression[result]
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:812:5: output= accessExpression[result]
                     {
                     pushFollow(FOLLOW_accessExpression_in_reference3923);
                     output=accessExpression(result);
@@ -5751,7 +5776,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:811:3:
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:815:3:
                     {
                     }
                     break;
@@ -5759,19 +5784,19 @@
             }
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:812:3: (pr= T_PRIMED | ( '::' T_LPAREN init= expression T_RPAREN )? afold= ( T_FOLDLR | T_FOLDRL ) T_LPAREN anexpr= expression T_RPAREN )?
-            int alt87=3;
-            final int LA87_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:816:3: (pr= T_PRIMED | ( '::' T_LPAREN init= expression T_RPAREN )? afold= ( T_FOLDLR | T_FOLDRL ) T_LPAREN anexpr= expression T_RPAREN )?
+            int alt88=3;
+            final int LA88_0 = input.LA(1);
 
-            if ( (LA87_0==T_PRIMED) ) {
-                alt87=1;
+            if ( (LA88_0==T_PRIMED) ) {
+                alt88=1;
             }
-            else if ( ((LA87_0 >= T_FOLDLR && LA87_0 <= T_FOLDRL)||LA87_0==117) ) {
-                alt87=2;
+            else if ( ((LA88_0 >= T_FOLDLR && LA88_0 <= T_FOLDRL)||LA88_0==117) ) {
+                alt88=2;
             }
-            switch (alt87) {
+            switch (alt88) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:812:6: pr= T_PRIMED
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:816:6: pr= T_PRIMED
                     {
                     pr=(Token)match(input,T_PRIMED,FOLLOW_T_PRIMED_in_reference3948);
 
@@ -5780,18 +5805,18 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:814:5: ( '::' T_LPAREN init= expression T_RPAREN )? afold= ( T_FOLDLR | T_FOLDRL ) T_LPAREN anexpr= expression T_RPAREN
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:818:5: ( '::' T_LPAREN init= expression T_RPAREN )? afold= ( T_FOLDLR | T_FOLDRL ) T_LPAREN anexpr= expression T_RPAREN
                     {
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:814:5: ( '::' T_LPAREN init= expression T_RPAREN )?
-                    int alt86=2;
-                    final int LA86_0 = input.LA(1);
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:818:5: ( '::' T_LPAREN init= expression T_RPAREN )?
+                    int alt87=2;
+                    final int LA87_0 = input.LA(1);
 
-                    if ( (LA86_0==117) ) {
-                        alt86=1;
+                    if ( (LA87_0==117) ) {
+                        alt87=1;
                     }
-                    switch (alt86) {
+                    switch (alt87) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:814:6: '::' T_LPAREN init= expression T_RPAREN
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:818:6: '::' T_LPAREN init= expression T_RPAREN
                             {
                             match(input,117,FOLLOW_117_in_reference3964);
 
@@ -5859,7 +5884,7 @@
 
 
     // $ANTLR start "accessExpression"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:819:1: accessExpression[Expression subexpr] returns [Expression result] : (tcall= T_LSQPAREN ac= expression T_RSQPAREN |bcall= T_LPAREN m_params= methodCallParams T_RPAREN )+ ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[result] )? )? ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:823:1: accessExpression[Expression subexpr] returns [Expression result] : (tcall= T_LSQPAREN ac= expression T_RSQPAREN |bcall= T_LPAREN m_params= methodCallParams T_RPAREN )+ ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[result] )? )? ;
     public final Expression accessExpression(Expression subexpr) throws RecognitionException {
         Expression result = null;
 
@@ -5879,27 +5904,27 @@
         		result = subexpr;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:825:2: ( (tcall= T_LSQPAREN ac= expression T_RSQPAREN |bcall= T_LPAREN m_params= methodCallParams T_RPAREN )+ ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[result] )? )? )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:826:7: (tcall= T_LSQPAREN ac= expression T_RSQPAREN |bcall= T_LPAREN m_params= methodCallParams T_RPAREN )+ ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[result] )? )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:829:2: ( (tcall= T_LSQPAREN ac= expression T_RSQPAREN |bcall= T_LPAREN m_params= methodCallParams T_RPAREN )+ ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[result] )? )? )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:830:7: (tcall= T_LSQPAREN ac= expression T_RSQPAREN |bcall= T_LPAREN m_params= methodCallParams T_RPAREN )+ ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[result] )? )?
             {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:826:7: (tcall= T_LSQPAREN ac= expression T_RSQPAREN |bcall= T_LPAREN m_params= methodCallParams T_RPAREN )+
-            int cnt88=0;
-            loop88:
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:830:7: (tcall= T_LSQPAREN ac= expression T_RSQPAREN |bcall= T_LPAREN m_params= methodCallParams T_RPAREN )+
+            int cnt89=0;
+            loop89:
             do {
-                int alt88=3;
-                final int LA88_0 = input.LA(1);
+                int alt89=3;
+                final int LA89_0 = input.LA(1);
 
-                if ( (LA88_0==T_LSQPAREN) ) {
-                    alt88=1;
+                if ( (LA89_0==T_LSQPAREN) ) {
+                    alt89=1;
                 }
-                else if ( (LA88_0==T_LPAREN) ) {
-                    alt88=2;
+                else if ( (LA89_0==T_LPAREN) ) {
+                    alt89=2;
                 }
 
 
-                switch (alt88) {
+                switch (alt89) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:826:9: tcall= T_LSQPAREN ac= expression T_RSQPAREN
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:830:9: tcall= T_LSQPAREN ac= expression T_RSQPAREN
             	    {
             	    tcall=(Token)match(input,T_LSQPAREN,FOLLOW_T_LSQPAREN_in_accessExpression4035);
 
@@ -5916,7 +5941,7 @@
             	    }
             	    break;
             	case 2 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:828:10: bcall= T_LPAREN m_params= methodCallParams T_RPAREN
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:832:10: bcall= T_LPAREN m_params= methodCallParams T_RPAREN
             	    {
             	    bcall=(Token)match(input,T_LPAREN,FOLLOW_T_LPAREN_in_accessExpression4068);
 
@@ -5934,41 +5959,41 @@
             	    break;
 
             	default :
-            	    if ( cnt88 >= 1 ) break loop88;
+            	    if ( cnt89 >= 1 ) break loop89;
                         final EarlyExitException eee =
-                            new EarlyExitException(88, input);
+                            new EarlyExitException(89, input);
                         throw eee;
                 }
-                cnt88++;
+                cnt89++;
             } while (true);
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:831:3: ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[result] )? )?
-            int alt91=2;
-            final int LA91_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:835:3: ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[result] )? )?
+            int alt92=2;
+            final int LA92_0 = input.LA(1);
 
-            if ( (LA91_0==T_POINT) ) {
-                alt91=1;
+            if ( (LA92_0==T_POINT) ) {
+                alt92=1;
             }
-            switch (alt91) {
+            switch (alt92) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:832:4: ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[result] )?
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:836:4: ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[result] )?
                     {
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:832:4: ( T_POINT idn= T_IDENTIFIER )+
-                    int cnt89=0;
-                    loop89:
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:836:4: ( T_POINT idn= T_IDENTIFIER )+
+                    int cnt90=0;
+                    loop90:
                     do {
-                        int alt89=2;
-                        final int LA89_0 = input.LA(1);
+                        int alt90=2;
+                        final int LA90_0 = input.LA(1);
 
-                        if ( (LA89_0==T_POINT) ) {
-                            alt89=1;
+                        if ( (LA90_0==T_POINT) ) {
+                            alt90=1;
                         }
 
 
-                        switch (alt89) {
+                        switch (alt90) {
                     	case 1 :
-                    	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:832:5: T_POINT idn= T_IDENTIFIER
+                    	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:836:5: T_POINT idn= T_IDENTIFIER
                     	    {
                     	    match(input,T_POINT,FOLLOW_T_POINT_in_accessExpression4096);
 
@@ -5980,25 +6005,25 @@
                     	    break;
 
                     	default :
-                    	    if ( cnt89 >= 1 ) break loop89;
+                    	    if ( cnt90 >= 1 ) break loop90;
                                 final EarlyExitException eee =
-                                    new EarlyExitException(89, input);
+                                    new EarlyExitException(90, input);
                                 throw eee;
                         }
-                        cnt89++;
+                        cnt90++;
                     } while (true);
 
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:835:4: (res= accessExpression[result] )?
-                    int alt90=2;
-                    final int LA90_0 = input.LA(1);
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:839:4: (res= accessExpression[result] )?
+                    int alt91=2;
+                    final int LA91_0 = input.LA(1);
 
-                    if ( ((LA90_0 >= T_LPAREN && LA90_0 <= T_LSQPAREN)) ) {
-                        alt90=1;
+                    if ( ((LA91_0 >= T_LPAREN && LA91_0 <= T_LSQPAREN)) ) {
+                        alt91=1;
                     }
-                    switch (alt90) {
+                    switch (alt91) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:835:5: res= accessExpression[result]
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:839:5: res= accessExpression[result]
                             {
                             pushFollow(FOLLOW_accessExpression_in_accessExpression4120);
                             res=accessExpression(result);
@@ -6038,7 +6063,7 @@
 
 
     // $ANTLR start "qualifiedIdentifier"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:839:1: qualifiedIdentifier returns [Expression top] : (self= T_SELF T_POINT )? idb= T_IDENTIFIER ( T_POINT idd= T_IDENTIFIER )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:843:1: qualifiedIdentifier returns [Expression top] : (self= T_SELF T_POINT )? idb= T_IDENTIFIER ( T_POINT idd= T_IDENTIFIER )* ;
     public final Expression qualifiedIdentifier() throws RecognitionException {
         Expression top = null;
 
@@ -6052,19 +6077,19 @@
         		top = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:845:2: ( (self= T_SELF T_POINT )? idb= T_IDENTIFIER ( T_POINT idd= T_IDENTIFIER )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:846:3: (self= T_SELF T_POINT )? idb= T_IDENTIFIER ( T_POINT idd= T_IDENTIFIER )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:849:2: ( (self= T_SELF T_POINT )? idb= T_IDENTIFIER ( T_POINT idd= T_IDENTIFIER )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:850:3: (self= T_SELF T_POINT )? idb= T_IDENTIFIER ( T_POINT idd= T_IDENTIFIER )*
             {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:846:3: (self= T_SELF T_POINT )?
-            int alt92=2;
-            final int LA92_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:850:3: (self= T_SELF T_POINT )?
+            int alt93=2;
+            final int LA93_0 = input.LA(1);
 
-            if ( (LA92_0==T_SELF) ) {
-                alt92=1;
+            if ( (LA93_0==T_SELF) ) {
+                alt93=1;
             }
-            switch (alt92) {
+            switch (alt93) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:846:4: self= T_SELF T_POINT
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:850:4: self= T_SELF T_POINT
                     {
                     self=(Token)match(input,T_SELF,FOLLOW_T_SELF_in_qualifiedIdentifier4159);
 
@@ -6082,20 +6107,20 @@
 
             top = createIdentifierAccessExpression(selfexpr,idb);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:848:3: ( T_POINT idd= T_IDENTIFIER )*
-            loop93:
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:852:3: ( T_POINT idd= T_IDENTIFIER )*
+            loop94:
             do {
-                int alt93=2;
-                final int LA93_0 = input.LA(1);
+                int alt94=2;
+                final int LA94_0 = input.LA(1);
 
-                if ( (LA93_0==T_POINT) ) {
-                    alt93=1;
+                if ( (LA94_0==T_POINT) ) {
+                    alt94=1;
                 }
 
 
-                switch (alt93) {
+                switch (alt94) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:848:4: T_POINT idd= T_IDENTIFIER
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:852:4: T_POINT idd= T_IDENTIFIER
             	    {
             	    match(input,T_POINT,FOLLOW_T_POINT_in_qualifiedIdentifier4182);
 
@@ -6107,7 +6132,7 @@
             	    break;
 
             	default :
-            	    break loop93;
+            	    break loop94;
                 }
             } while (true);
 
@@ -6130,7 +6155,7 @@
 
 
     // $ANTLR start "methodCallParams"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:852:1: methodCallParams returns [ArrayList<Expression> result] : (expa= expression ( T_COMMA expb= expression )* )? ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:856:1: methodCallParams returns [ArrayList<Expression> result] : (expa= expression ( T_COMMA expb= expression )* )? ;
     public final ArrayList<Expression> methodCallParams() throws RecognitionException {
         ArrayList<Expression> result = null;
 
